mav_matrixXAxisSet(3)

NAME
mav_matrixXAxisSet - Set the various axes of a matrix.

LEVEL
Maverik Level 1

SYNTAX
MAV_matrix mav_matrixXAxisSet(MAV_matrix m, MAV_vector v);

MAV_matrix mav_matrixYAxisSet(MAV_matrix m, MAV_vector v);

MAV_matrix mav_matrixZAxisSet(MAV_matrix m, MAV_vector v);

ARGUMENTS
Matrix in question. Vector to use.

DESCRIPTION
These functions set the axes of matrix m returning the result, i.e. they set the result of multiplying the principle axis by m. This will be the vector the axis will map onto if m is used to transform coordinate systems. N.B. Mathematics dictates that axes can not be set independently of one another.